D-Bus 1.13.18

Data Fields
DBusBabysitter Struct Reference
D-Bus secret internal implementation details » Utilities and portability

Babysitter implementation details. More...

## Data Fields
int | refcount
| Reference count.
char * | log_name
| the name under which to log messages about this process being spawned
DBusSocket | socket_to_babysitter
| Connection to the babysitter process.
int | error_pipe_from_child
| Connection to the process that does the exec()
pid_t | sitter_pid
| PID Of the babysitter.
pid_t | grandchild_pid
| PID of the grandchild.
DBusWatchList * | watches
| Watches.
DBusWatch * | error_watch
| Error pipe watch.
DBusWatch * | sitter_watch
| Sitter pipe watch.
DBusBabysitterFinishedFunc | finished_cb
void * | finished_data
int | errnum
| Error number.
int | status
| Exit status code.
unsigned int | have_child_status: 1
| True if child status has been reaped.
unsigned int | have_fork_errnum: 1
| True if we have an error code from fork()
unsigned int | have_exec_errnum: 1
| True if we have an error code from exec()
DBusAtomic | refcount
HANDLE | thread_handle
HANDLE | child_handle
DBusSocket | socket_to_main
dbus_bool_t | have_spawn_errno
int | spawn_errno
dbus_bool_t | have_child_status
int | child_status

## Detailed Description

Babysitter implementation details.

Definition at line 249 of file dbus-spawn-unix.c.

The documentation for this struct was generated from the following files:

- dbus-spawn-unix.c
- dbus-spawn-win.c